> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload a file for an order requirement

> Upload a single file (multipart/form-data) in response to an order requirement on an order that is in
`AWAITING_INFORMATION` status. Call this endpoint once per required file.

Send `fileKey` (matching a `fileKey` from `requiredFiles` on the GET response) and the binary `file`. Its type
must be one of the supported file formats. Fireblocks encrypts each file and uploads it individually to the
underlying provider. The textual response is submitted separately via
`POST /trading/orders/{orderId}/requirement/data`.

Note: These endpoints are currently in beta and might be subject to changes.

If you want to participate and learn more about the Fireblocks Trading, please contact your Fireblocks Customer Success Manager or send an email to CSM@fireblocks.com.

Endpoint Permission: Owner, Admin, Non-Signing Admin, Signer, Editor.

For detailed information about error codes and troubleshooting, please refer to our [API Error Codes documentation](https://developers.fireblocks.com/reference/api-error-codes).



## API Specification

The full API specification for this endpoint is available in the [documentation index](https://developers.fireblocks.com/llms.txt).
